#include <stdio.h>
#include <stdlib.h>

int main()
{
    int i;
    unsigned int N,K;
    scanf("%u %u",&N,&K);
    unsigned int karte[N];
    for(i=0;i<N;i++)
        scanf("%u",karte+i);
    for(i=0;i<N;i++){
        if(karte[i]==K){
            printf("%d",(karte[i+1]!=NULL?karte[i+1]:karte[0]));
            return 0;
        }
    }
    return 0;
}